Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.security
Class KeyManagementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.novell.java.security.GeneralSecurityException
                        |
                        +--com.novell.java.security.KeyException
                              |
                              +--com.novell.java.security.KeyManagementException

public class KeyManagementException
extends KeyException

Provides the general key management exception for all operations dealing with key management. Subclasses could include:

- KeyIDConflict
- KeyAuthorizationFailureException
- ExpiredKeyException

See Also:
  `Key`, `KeyException`, Serialized Form

Constructor Summary
`KeyManagementException()` Constructs a KeyManagementException with no detail message.
`KeyManagementException(java.lang.String msg)` Constructs a KeyManagementException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyManagementException

    public KeyManagementException()

  Constructs a KeyManagementException with no detail message.

### KeyManagementException

    public KeyManagementException(java.lang.String msg)

  Constructs a KeyManagementException with the specified detail message. A detail message is a String that describes this particular exception.
  Parameters:
    `msg` - The detail message string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD